
Redmine - Defect #13308

Redirect after login

2013-02-27 11:43 - Benjamin Jeanjean

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

When a new issue is created, an email is sent with the link to the issue on Redmine.

But when we've lost the session, we have to reconnect.

Each time we reconnect, we aren't redirected to the link clicked on the email.

History

#1 - 2013-02-27 11:58 - Etienne Massip

What Redmine version?

What does your production.log file contains (the request-redirect part only)?

Any plugins installed?

#2 - 2013-02-27 14:39 - Etienne Massip

- Status changed from New to Needs feedback

See SubmittingBugs.

#3 - 2013-03-01 11:35 - Jean-Philippe Lang

- Tracker changed from Feature to Defect

- Resolution set to Cant reproduce

#4 - 2013-03-06 17:50 - Benjamin Jeanjean

The error seems to be random ! There's nothing in the production's log...

You should try many times to reproduce it by clicking links in emails sent by redmine and connecting/logut !

#5 - 2013-03-06 18:43 - Etienne Massip

- Status changed from Needs feedback to Closed

Please answer the questions and read SubmittingBugs before reopening it.

#6 - 2013-03-06 19:23 - Benjamin Jeanjean

- Status changed from Closed to Reopened

Environment:

  Redmine version                          2.2.2.stable.11251

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.11

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  AgileDwarf                               0.0.3

  redmine_contacts                         3.1.2-pro

  redmine_contacts_helpdesk                2.1.3

  redmine_contacts_invoices                2.0.3-pro

  redmine_ics_export                       2.0.0.dev

  redmine_knowledgebase                    2.1.2

  redmine_mylyn_connector                  2.8.2.stable

  redmine_release_notes                    1.2.0
 That's it !

#7 - 2014-01-25 13:39 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Fixed in r12705 (see #15926).
